logo
Apache Lounge
Webmasters

 


About

Forum Index Downloads Search Register Log in  RSS Apache Lounge
 



Keep Server Online

If you find the Apache Lounge, the downloads and overall help useful, please express your satisfaction with a donation.

or

Bitcoin

A donation makes a contribution towards the costs, the time and effort that's going in this site and building.

Thank You! Steffen

Apache Lounge is not sponsored.

Your donations will help to keep this site alive and well, and continuing building binaries.



Trying to get up to date, php5apache2_4.dll not found

 
Post new topic   Reply to topic    Apache Forum Index -> Other Software



View previous topic :: View next topic  
Author Message
sailor



Joined: 17 Apr 2015
Posts: 11
Location: US

PostPosted: Fri 17 Apr '15 18:34    Post subject: Trying to get up to date, php5apache2_4.dll not found Reply with quote

Essentially, is there a php5_apache2_4.dll for VC11?

I'm trying to update from

Apache/2.4.9 (Win32) PHP/5.5.11
Apache Lounge VC10 Server built: Mar 17 2014 10:48:43

to

Server version: Apache/2.4.12 (Win32)
Apache Lounge VC11 Server built: Mar 20 2015 12:12:41

and php 5.6.8 VC11.

I guess the problems is that there's no VC11 fo php5_apache2_4.dll?

When I try to start:

D:\Apache24\bin>httpd.exe
httpd.exe: Syntax error on line 184 of D:/Apache24/conf/httpd.conf: Cannot load
D:/PHP_5.6.8/php5apache2_4.dll into server: The specified module could not be found.


config:

#LoadModule php5_module "D:/PHP_5.5.11/php5apache2_4.dll"
#PHPIniDir "d:/PHP_5.5.11"

LoadModule php5_module "D:/PHP_5.6.8/php5apache2_4.dll"
PHPIniDir "d:/PHP_5.6.8"
Back to top
glsmith
Moderator


Joined: 16 Oct 2007
Posts: 2123
Location: Sun Diego, USA

PostPosted: Fri 17 Apr '15 20:13    Post subject: Reply with quote

Sure there is, you just have to download and use the thread safe version to get it.

http://windows.php.net/downloads/releases/php-5.6.8-Win32-VC11-x86.zip


The nts (non-thread safe) versions do not include the module.
Back to top
Jan-E



Joined: 09 Mar 2012
Posts: 794
Location: Amsterdam, NL, EU

PostPosted: Fri 17 Apr '15 20:16    Post subject: Reply with quote

The php5apache2_4.dll that comes with PHP 5.5 or 5.6 is for VC11. The message "The specified module could not be found" usually means that you are missing some DLL in the apache\bin directory. Try copying libeay32.dll, ssleay32.dll, libsasl.dll, libintl.dll and the icu*.dll's from D:\PHP_5.6.8 to D:\Apache24\bin.

If that still does not work try copying all dll's in D:\PHP_5.6.8 to D:\Apache24\bin.
Back to top
sailor



Joined: 17 Apr 2015
Posts: 11
Location: US

PostPosted: Fri 17 Apr '15 20:56    Post subject: Reply with quote

glsmith wrote:
Sure there is, you just have to download and use the thread safe version to get it.

http://windows.php.net/downloads/releases/php-5.6.8-Win32-VC11-x86.zip


The nts (non-thread safe) versions do not include the module.


Thanks, I'm not sure why I got confused TS versus NTS and then got the wrong one.

I'm off and running now.

TGIF.
Back to top


Post new topic   Reply to topic    Apache Forum Index -> Other Software
Page 1 of 1